Segment editor extra effect not working with my custom Slicer version

Hello,
I installed the Segment editor extra effect. However, I get an error message like attached.
The icons also seem to be incorrect.
What can I do?
error

Win10
Slicer 4.10.1
Extra effect 4.9

How did you install the SegmentEditorExtraEffects extension? Did you install this extension using the extensions manager? Or did you do a manual copy/manual install from file? I see the path …/SegmentEditorExtraEffects/lib/Slicer4.9/… which would indicate this was originally from a Slicer 4.9 install and is likely not compatible with Slicer 4.10.1 stable. You should uninstall this extension and reinstall using the extensions manager.

2 Likes

I installed the segment editor extra effect on a manual copy,because My Extention manager did not work.
Is there any better way to do a manual installation?

Did you build your own Slicer? You can only use the extension manager for installed Slicer.
If not, what version do you use?

I built my Slicer and I use extension manager on my installed slicer.
I think that it is the influence of the proxy environment. But I do not know how to set it.
I can not move forward from 0%.

Okay so this is the issue, you cannot generally do it like this. The extensions in the extension manager were built against the factory Slicer build and in the same environment. Even if you have an apparently identical environment you still cannot expect those dlls to work perfectly.

If you build Slicer then you need to build your extensions too.
https://www.slicer.org/wiki/Documentation/Nightly/Developers/FAQ#How_to_build_an_extension_.3F